Name:    qimageblitz
Version: 0.0.6
Release: %mkrel 6
Epoch:   1
Summary: Graphics manipulation library 
License: GPL
Group:   Graphics/Utilities
Url:     http://www.kde.org
Source:  ftp://ftp.kde.org/pub/kde/stable/qimageblitz/%{name}-%{version}.tar.bz2
BuildRequires: cmake >= 2.4.5
BuildRequires: qt4-devel >= 4.3.0

%description
Qimageblitz is a graphics manipulation library.

%files 
%{_bindir}/blitztest

#--------------------------------------------------------------------

%define libblitz_major 4
%define libblitz %mklibname qimageblitz %{libblitz_major}

%package -n %{libblitz}
Summary: Qimageblitz runtime library
Group: System/Libraries

%description -n %{libblitz}
Qimageblitz runtime library.

%files -n %{libblitz}
%{_libdir}/*.so.%{libblitz_major}*

#--------------------------------------------------------------------

%define libblitzdev %mklibname -d qimageblitz

%package -n %{libblitzdev}
Summary: Development files for %{name}
Group: Development/KDE and Qt
Requires: %{libblitz} = %{epoch}:%{version}-%{release}
Provides: lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides: %{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{libblitzdev}
Development files for %{name}.

%files -n %{libblitzdev}
%{_libdir}/*.so
%{_includedir}/qimageblitz
%{_libdir}/pkgconfig/*

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_qt4 \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DLIB_INSTALL_DIR=%{_libdir} \
	-DINCLUDE_INSTALL_DIR=%{_includedir}
%make

%install
%makeinstall_std -C build


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1:0.0.6-6.mga4
+ Revision: 517833
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.0.6-5.mga3
+ Revision: 379832
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Mon Oct 15 2012 fwang <fwang> 1:0.0.6-4.mga3
+ Revision: 305922
- update rpm group

  + mikala <mikala>
    - Remove obsoletes
    - Remove pkconfig as BR
    - Remove %%defattr() & %%clean section
    - Fix requires in -devel pacakge
    - Fix URL & SOURCE tag
    - Clean spec

* Sat Jan 15 2011 mikala <mikala> 1:0.0.6-3.mga1
+ Revision: 19276
- Remove mdk macros
- Remove BuildRoot
- Add a macro for major following mageia kde's spec policy
- imported package qimageblitz


* Wed Oct 13 2010 Funda Wang <fwang@mandriva.org> 1:0.0.6-3mdv2011.0
+ Revision: 585274
- specify includedir

* Mon Oct 11 2010 Funda Wang <fwang@mandriva.org> 1:0.0.6-2mdv2011.0
+ Revision: 584877
- rebuild

* Tue Aug 17 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1:0.0.6-1mdv2011.0
+ Revision: 571021
- New version
  Add epoch because of new version
  Fix requires

* Sat Feb 20 2010 Funda Wang <fwang@mandriva.org> 4.0.0-7mdv2010.1
+ Revision: 508725
- bump rel
- new snapshot (sync with kdesupport-for-4.4-tag)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 4.0.0-5mdv2010.0
+ Revision: 426795
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 4.0.0-4mdv2009.0
+ Revision: 265588
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 27 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.0-3mdv2009.0
+ Revision: 212066
- Libraries are now in _libdir

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 4.0.0-2mdv2008.1
+ Revision: 171073
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Mon Jan 07 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.0-1mdv2008.1
+ Revision: 146288
- Update for current svn
- Proper version naming ( was inverted )
- New qimageblitz
- Upstream library changed name

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 21 2007 Helio Chissini de Castro <helio@mandriva.com> 0.0.4-1mdv2008.0
+ Revision: 68619
- Proper soname
- Changed dev library name
- import blitz-0.0.4-1mdv2008.0

